Bug 219667 - lang/gcc6-aux: updated bootstrap required after ino64
Summary: lang/gcc6-aux: updated bootstrap required after ino64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks: 218320
  Show dependency treegraph
 
Reported: 2017-05-30 21:11 UTC by Ed Maste
Modified: 2017-10-15 15:49 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2017-05-30 21:11:54 UTC
The lang/gcc6-aux build relies on a pre-built binary bootstrap compiler. It appears this needs to be recreated for ino64.

Trying to build with the BOOTSTRAP option set results in the same sort of failure as in the exp-run.

http://pb2.nyi.freebsd.org/data/headamd64PR218320-default/2017-04-05_20h35m39s/logs/errors/gcc6-aux-20170202_1.log

mkdir -p ada/bldtools/sinfo
rm -f ada/bldtools/sinfo/sinfo.ads ada/bldtools/sinfo/sinfo.adb ada/bldtools/sinfo/xsinfo.adb ada/bldtools/sinfo/csinfo.adb
cp -p /wrkdirs/usr/ports/lang/gcc6-aux/work/gcc-6-20170202/gcc/ada/sinfo.ads /wrkdirs/usr/ports/lang/gcc6-aux/work/gcc-6-20170202/gcc/ada/sinfo.adb /wrkdirs/usr/ports/lang/gcc6-aux/work/gcc-6-20170202/gcc/ada/xsinfo.adb /wrkdirs/usr/ports/lang/gcc6-aux/work/gcc-6-20170202/gcc/ada/csinfo.adb ada/bldtools/sinfo
(cd ada/bldtools/sinfo; gnatmake -q xsinfo ; ./xsinfo sinfo.h )

raised STORAGE_ERROR : stack overflow or erroneous memory access
gmake[3]: *** [/wrkdirs/usr/ports/lang/gcc6-aux/work/gcc-6-20170202/gcc/ada/Make-generated.in:45: ada/sinfo.h] Error 1
Comment 1 commit-hook freebsd_committer 2017-10-15 15:43:28 UTC
A commit references this bug:

Author: tobik
Date: Sun Oct 15 15:42:50 UTC 2017
New revision: 452154
URL: https://svnweb.freebsd.org/changeset/ports/452154

Log:
  lang/gcc6-aux: Provide a bootstrap compiler for FreeBSD 12.0 post-ino64

  - Update maintainer.  Eric Turgeon wants to maintain it.

  https://forums.freebsd.org/threads/62845/

  PR:		219667

Changes:
  head/lang/gcc6-aux/Makefile
  head/lang/gcc6-aux/distinfo
Comment 2 Tobias Kortkamp freebsd_committer 2017-10-15 15:49:05 UTC
Should be fixed now.